Dpkg::Control::HashCore::Tie(3perl)

NAME
Dpkg::Control::HashCore::Tie - ties a Dpkg::Control::Hash object

DESCRIPTION
This module provides a class that is used to tie a hash. It implements hash-like functions by normalizing the name of fields received in keys (using Dpkg::Control::Fields::field_capitalize). It also stores the order in which fields have been added in order to be able to dump them in the same order. But the order information is stored in a parent object of type Dpkg::Control.

Note: This is a private module, its API can change at any time.

FUNCTIONS

Dpkg::Control::Hash->new($parent)
    Return a reference to a tied hash implementing storage of simple "field: value" mapping as used in many Debian-specific files.

CHANGES

  Version 0.xx
This is a private module.